cURL
curl --request POST \ --url https://api.unpay.in/v1/user/product/payouts/status \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "debit_account_id": "UNPW4065468842", "transaction_id": "BENE0407717739", "reference_id": "TEST87654456789" } '
{ "transaction_id": "<string>", "status": "SUCCESS" }
Retrieve the current status of a previously initiated payout transaction.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Your UnPay wallet/account ID to debit from.
"UNPW4065468842"
Registered Transaction ID.
"BENE0407717739"
Reference ID for internal tracking. or same as transaction_id
"TEST87654456789"
Payout status retrieved successfully
PENDING
PROCESSING
SUCCESS
FAILED
"SUCCESS"